---
title: "Get a purchase invoice"
slug: "get-a-purchase-invoice"
updated: 2026-01-30T20:02:42Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a purchase invoice

Get/api/v1/invoices/purchaseinvoices

Get an existing purchase invoice.

		
			

**Description**

This endpoint retrieves existing purchase invoices from the financial accounting administration by utilizing the reference.

**Use Case**

The user wants to retrieve an individual purchase invoice by specifying its reference. To obtain the reference of a particular purchase invoice, the user can first use the [POST Get Purchase Invoices Filtered and Paged](https://www.bloxs.io/v1-api/apidocs/en/4b45d345-b3dd-460c-818f-a4262ebde562?isPreview=true&versionNumber=2) endpoint.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The unique identifier of this purchase invoice within Bloxs. This reference is provided by the supplier and is unique per supplier within the client-specific environment. |

**Response fields**

The 200 response contains the fields in the table below. For the GET operation it gives a up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| reference | The unique identifier of this purchase invoice within Bloxs. This reference is provided by the supplier and is unique per supplier within the client-specific environment. |
| subject | The subject of the purchase invoice. |
| ownerReference | The reference of the owner (administration) that is the buying party in this purchase invoice. This is the administration in which the purchase invoice is processed. |
| relationReference | The reference of the relation (supplier) that is the selling party in this purchase invoice. It can refer to any relation type within the system and is not necessarily a supplier. For example, another owner invoicing the owner of the purchase invoice. |
| invoiceDate | The invoice date of the purchase invoice. |
| paymentTermname | The name of the payment term used in the purchase invoice, for example "14 days" or "30 days". |
| dueDate | The due date of the purchase invoice. This is the date on which the next action is required according to Bloxs. Please note: the API does not specify what the next action is, only when it is expected. |
| totalAmountExcl | The total amount of the purchase invoice, excluding VAT. |
| totalAmountVAT | The total VAT amount of the purchase invoice. |
| totalAmountIncl | The total amount of the purchase invoice, including VAT. |
| OutstandingAmount | This represents the total outstanding amount of the purchase invoice, based solely on invoiced charges. It does not include administrative or collection fees. Such additional costs may be invoiced separately and can then be included in the total debt. The amount is expressed with two decimals. |
| OutstandingAmountRecalculateDate | The date on which the outstanding debt for the purchase invoice was last updated. This value is generated by Bloxs. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestringRequired

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='cc40ac38-e254-4529-99e2-4deb9ba07a01'>application/json</option>
</select>object  referencestring    Min length0Max length100
subjectstring   | null  Min length0Max length512
ownerReferencestring    Min length0Max length100
relationReferencestring    Min length0Max length100
invoiceDatestring  (date)    
paymentTermNamestring    Min length0Max length256
dueDatestring  (date)    
totalAmountExclnumber  (double)    
totalAmountVATnumber  (double)    
totalAmountInclnumber  (double)    
outstandingAmountnumber  (double)   | null  
outstandingAmountRecalculateDatestring  (date-time)   | null  

404

The requested purchase invoice was not found.
